package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.CurrentConfigMapper;
import com.ruoyi.model.domain.CurrentConfig;
import com.ruoyi.model.service.ICurrentConfigService;

/**
 * 等级配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class CurrentConfigServiceImpl implements ICurrentConfigService 
{
    @Autowired
    private CurrentConfigMapper currentConfigMapper;

    /**
     * 查询等级配置
     * 
     * @param currentId 等级配置主键
     * @return 等级配置
     */
    @Override
    public CurrentConfig selectCurrentConfigByCurrentId(Long currentId)
    {
        return currentConfigMapper.selectCurrentConfigByCurrentId(currentId);
    }

    /**
     * 查询等级配置列表
     * 
     * @param currentConfig 等级配置
     * @return 等级配置
     */
    @Override
    public List<CurrentConfig> selectCurrentConfigList(CurrentConfig currentConfig)
    {
        return currentConfigMapper.selectCurrentConfigList(currentConfig);
    }

    /**
     * 新增等级配置
     * 
     * @param currentConfig 等级配置
     * @return 结果
     */
    @Override
    public int insertCurrentConfig(CurrentConfig currentConfig)
    {
        return currentConfigMapper.insertCurrentConfig(currentConfig);
    }

    /**
     * 修改等级配置
     * 
     * @param currentConfig 等级配置
     * @return 结果
     */
    @Override
    public int updateCurrentConfig(CurrentConfig currentConfig)
    {
        return currentConfigMapper.updateCurrentConfig(currentConfig);
    }

    /**
     * 批量删除等级配置
     * 
     * @param currentIds 需要删除的等级配置主键
     * @return 结果
     */
    @Override
    public int deleteCurrentConfigByCurrentIds(Long[] currentIds)
    {
        return currentConfigMapper.deleteCurrentConfigByCurrentIds(currentIds);
    }

    /**
     * 删除等级配置信息
     * 
     * @param currentId 等级配置主键
     * @return 结果
     */
    @Override
    public int deleteCurrentConfigByCurrentId(Long currentId)
    {
        return currentConfigMapper.deleteCurrentConfigByCurrentId(currentId);
    }

    /**
     * 查询等级配置列表
     *
     * @return 等级配置集合
     */
    @Override
    public List<CurrentConfig> getCurrentConfigList() {
        return currentConfigMapper.getCurrentConfigList();
    }
}
